# https://docs.ultralytics.com/modes/predict/#key-features-of-predict-mode

import cv2
from ultralytics import YOLO

# Load a pretrained YOLOv8n model
model = YOLO('best.pt')#YOLO('yolov8n.pt')

# Read an image using OpenCV
source = cv2.imread('ts-test.jpg')#cv2.imread('001840_20210319_111448727.jpg')

# Run inference on the source
results = model(source, conf=0.05)  # list of Results objects
#print("results", len(results))

for result in results:
    #print(result)
    boxes = result.boxes.xyxy.numpy()
    cls = result.boxes.cls.numpy()
    names = result.names
    print(names)
    for i, box in enumerate(boxes): 
        #print("box", box)
        print("box", box)
        print("cls", names[cls[i]])
        cv2.rectangle(source, (int(box[0]), int(box[1])), (int(box[2]), int(box[3])), (0, 0, 255), 7)
        cv2.putText(
          img = source,
          text = f"{names[cls[i]]}",
          org = (int(box[0]), int(box[1])),
          fontFace = cv2.FONT_HERSHEY_DUPLEX,
          fontScale = 1.0,
          color = (125, 246, 55),
          thickness = 3
        )
cv2.imshow("result", source)
cv2.waitKey()
